#
# spec file for package perl-Pod-POM
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Pod-POM
Version:        2.01
Release:        1.32
%define cpan_name Pod-POM
Summary:        POD Object Model
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Pod-POM/
Source0:        http://www.cpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Slurper) >= 0.004
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Text::Diff)
BuildRequires:  perl(parent)
Requires:       perl(parent)
%{perl_requires}

%description
This module implements a parser to convert Pod documents into a simple
object model form known hereafter as the Pod Object Model. The object model
is generated as a hierarchical tree of nodes, each of which represents a
different element of the original document. The tree can be walked manually
and the nodes examined, printed or otherwise manipulated. In addition,
Pod::POM supports and provides view objects which can automatically
traverse the tree, or section thereof, and generate an output
representation in one form or another.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README.md TODO

%changelog
* Fri Nov 20 2015 coolo@suse.com
- updated to 2.01
  see /usr/share/doc/packages/perl-Pod-POM/Changes
* Sun Feb  9 2014 coolo@suse.com
- updated to 0.29
  * fixed bug 87124 (upgrade Module::Install)
  * fixed bug 90010 (typos)
* Mon Jun 10 2013 coolo@suse.com
- updated to 0.28
  * fixed bug 81707 (test failures due to hash randomisation in perl 5.17.6)
  * change 'use vars' to 'our' declarations
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Aug  9 2010 chris@computersalat.de
- Update to 0.27
  * changed 'unless (defined (%%{"$class\::ACCEPT"}))' to just
    'unless (%%{"$class\::ACCEPT"})' in Pod::POM::Node to fix defect #56205
    (use of the now deprecated "defined(%%hash)" construct)
- Version 0.26  2009-08-20
  * updated Makefile.PL to require at least 2001.0929 of Text::Wrap, as
    versions prior to this always unexpand tabs.
  * applied Andreas Koenig's encoding patch
  * changed 'use base' to 'use parent'
  * split Pod::POM::Nodes into separate modules, retaining the original file
    to just use all the individual node modules.
  * added AF to author and copyright info for modules (in addition to ABW)
- recreated by cpanspec 1.78
- noarch pkg
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Wed Jul 15 2009 chris@computersalat.de
- initial pkg 0.25
